java en linux!

Estado
Cerrado para nuevas respuestas.

Pikachu_Patapi

Lanero Reconocido
25 Oct 2002
1,701
bueno... a ver si me pueden ayudar con este gallito...
estuve montando el suse 8.2 y bueno pues le instale el java de sun la ultima version (1.4.2_01) y pues muy bonito y todo pero he tenido dos problemitas:
1. pues que los chat de latinchat pues no funcionan muy bien. Simplemente uno escribe el mensaje y oprime "ENTER" o el boton "ENVIAR" y pues no envia absolutamente nada... se queda ahi mostrando lo que uno escribio.. no sirve para enviar mensajes.
2. En yahoo charlas, pues funciona muy bien el sistema de chat pero no funciona para nada el sistema de audio que utiliza yahoo en sus chat; bueno este ultimo, como me diran algunos, tengo huevo o pido mucho y la verdad, lo se.. aunque ustedes saben que la ignorancia es grande y atrevida....

mi pregunta es: ¿me jodi_? ¿me frege? ¿tengo huevo? ¿se puede bajar una version diferente de java? ¿El universo es finito? ¿las mujeres piensan, o es que de verdad no saben manejar?
bueno, si me pueden ayudar pues la verdad les quedaria muy agradecido...
 

Dr_Stein

Lanero Reconocido
25 Ago 2002
268
Eso es mas bien del plugin de java de tu navegador, no de que tengas instalado el ultimo JRE o SDK de Sun
 
12 May 2003
5,151
A mi me funciona con blackdown y mozilla.

* dev-java/blackdown-jdk
Latest version available: 1.4.1
Latest version installed: 1.4.1
Size of downloaded files: 118,889 kB
Homepage: http://www.blackdown.org
Description: Blackdown Java Development Kit 1.4.1

* net-www/mozilla
Latest version available: 1.5-r1
Latest version installed: 1.5-r1
Size of downloaded files: 29,153 kB
Homepage: http://www.mozilla.org
Description: The Mozilla Web Browser
 

Pikachu_Patapi

Lanero Reconocido
25 Oct 2002
1,701
estoy usando el netscape 7.1 y el konkeror.... pero el plug-in pues falla en ambos.. pero igual toca bajarlo de internet por que el que viene en el suse 8.2 funciona peor que el actualizado.
pero ¿el java que esta en blackdown me sirve para reemplazar el de sun? o es problema del suse.. se me hace raro que en ambos salga ese error (navegadores). De todas maneras voy a probar con el mozilla para ver los resultados.
¿opera esta en linux? ¿en español? ¿pregunto mucho? ¿soy puro windowsero?
bueno.. tantas preguntas.. voy a seguir sus consejos a ver como me va y les voy contando...
otra cosa... esos problemas son por que depronto los de latinchat estan compilando sus programas de java con compiladores de micro$oft? por eso lo de las demandas?
 

kemark

Lanero Reconocido
9 Abr 2003
2,499
blackdown es para gentoo y es el mismo que el de sun, opera si esta para linux.
Busca el plugin de java para netscape o mozilla, que seguro esta en la pagina del netscape.

y konqueror funciona diferente, ya que este ultimo usa el java, no un plugin. por cierto que version de los navegadores estas usando?
 

ZeN<edsadr>

Lanero Reconocido
12 Feb 2002
717
man instale opera es bonito util y le configura la opcion de java por las preferencias de multimedia de la forma mas sencilla
 

jasz

Lanero Reconocido
10 Ene 2002
1,130
hmmm... yo nunca uso esas cosas :p

Para mi, java en linux es unicamente para correr mis jsp's y servlets :p
 

Pikachu_Patapi

Lanero Reconocido
25 Oct 2002
1,701
bueno señores:
ya se que pasa....
el problema no es de linux ni de java.. el problema es de microsoft (!!)
instale netscape 7 con sun java 1-4-2_03 en windows 98SE.. y claro sucede el mismo problema en latinchat.... revisando el asunto a fondo pues resulta que son varias cosas:
1. los de latinchat hacen las salas con compiladores de java de microsoft (!!)
2. el boton de "enviar" de los salones de chat tiene un error en el codigo de javascript.. no se mucho de este pero creo que tiene un error en "linkeo" hacia donde envia el mensaje y la ventana de este y me parece a mi, solo a mi recalco, que mira solo ventanas de ms explorer.
3. Ellos y no nosotros son los que tienen que arreglar eso (Latinchat) por que los productos de java de microsofot (compiladores, VM y 98 y NT tienen que salir del mercado). Asi que el VM microsoft no da mas y ante semejante problema con VM de sun pues les toca cambiar eso a ellos.
CONCLUSION:
Gracias a todos por sus ayudas. Aparte del problema conoci las demas distribuciones de java y estuvo "cacharreando" con ellas. fue muy interesante.
PD: si alguien sabe de algun contacto o correo de latinchat pues si me lo puede facilitar para comentarles de ellos de esos problemas, debido a que, los correos de webmaster y soporte de latin y starmedia nunca sirven. envio correos y me los devuelve el servidor.
=======================================
Ya pueden cerrar este foro... y enviarlo si quieren a archivos viejos...
 

Uknown_77

Lanero Reconocido
25 Ene 2004
246
Todo lq ue tienes que hacer es:
En tu home tienes un directorio que se llama .nombre_del_navegador /plugins (.mozilla, .galeon, .Konqueror o cualquier otro que uses) en ese directorio crea un vinculo o copia el plogin de java, ele archivo se llama libjavaplugin_oji.so, que esta en donde hayas instalado java, en la ruta lugar_donde este_java/jdk_verison/jre/plugins/ y ahi hay varios directorios que continen plugins ahi lo buscas, lo copias o ligas y listo.

Eso me funciono a mi, lo probe en mozilla y galeon

PD
para los plugins de flas es igual solo a hay que tener le plugin
espero que te sirva
 

Pikachu_Patapi

Lanero Reconocido
25 Oct 2002
1,701
gracias woody por tu ayuda.. eso ya lo hice con las tres versiones de java disponibles.. pero el problema no es de java.. el problema es de latinchat que usan los compiladores de microsoft para su maquina virtual pero como bien podras mirar en las noticias, sun demando a microsoft por hacer eso, ya que la vm de microsoft SOLO funciona bien con java compilado en microsoft (me parece un abuso) y pues llegaron a un arreglo que sono hace poco con la salida de win98 y winnt del mercado...
entonces los que tienen que arreglar el cuento es latinchat.. ademas como decia anteriormente, el problema no esta en el java, sino en el boton de enviar que esta en javascript y eso es otro cuento....
gracias de todas maneras por tu atencion.. con lo que me dijeron aprendi muchas cosas.. como poner a funcionar el ltsp.. fue muy chevere.
 

Uknown_77

Lanero Reconocido
25 Ene 2004
246
Tienes razon lo que pas es que me habia metido para probar cunado intale el plugin pero nunca intente enviar un mesaje y es ahi donde truena.
Pues sorry. lo bueno es que hay mas chats
Saludos!!
 

Whidney

Lanero Reconocido
27 Nov 2003
128
Pues la verdad, tu problema parece ser del plugin, Yo particular trabajo con Mozilla y me ha funcionado muy bien, yo lo configure asi:("No recuerdo de donde lo tome")

Configuramos el plugin java para nuestro navegador en mi caso particular Mozilla.
para ello realizamos un un enlace simbolico.

ln -s /usr/java/jdk1.3.1_10/jre/plugin/i386/ns4/javaplugin.so /usr/lib/mozilla-1.2.1/plugins

Ahora nos ubicamos en el directorio de nuestro usuario. (en mi caso root puede ser otro)

cd /root si eres otro usuario "cd /home/usuario"

Y editamos el archivo .bashrc

vi .bashrc

Añadimos esta linea:

export MOZ_PLUGIN_PATH="/usr/lib/mozilla-1.2.1/plugins"

Guardas los cambios con escape :wq y listo.

como ultimo paso revisamos la instacion del plugin de java en nuestro navegador
abrimos un navegador y escribimos:

about : plugins

El navegador nos debe desplegar informacion de todos los plugins instalados alli debe estar java.
 

[KOYO]

Lanero Reconocido
19 Jun 2001
1,300
Problema de Plugins, la solcuion esta en activar en tu navegador (perdon cual usas)
 

Pikachu_Patapi

Lanero Reconocido
25 Oct 2002
1,701
navegadores: mozilla, netscape 7.1 y konqueror.
VM: Sun, ibm y blackdown...
pero no creo que sean los plugins o los navegadores.. en windows con netscape me pasa igual el problema....
yo creo que la vaina es mas de programacion...
si ustedes verifican si quieren en linux con cualquier navegador en cualquier version de java y veran que en latinchat no funciona el boton "ENVIAR"..
 
Estado
Cerrado para nuevas respuestas.